Component({
  props: {
    show: true,
    balance: false,
    // 是否显示余额
    onChange: () => null,
    onClose: () => null,
    defaultList: []
  },

  didMount() {},

  methods: {
    onClosePopup() {
      this.props.onClose();
    },

    onTap(e) {
      const {
        item
      } = e.target.dataset;
      this.onClosePopup();
      this.props.onChange(item);
    },

    onOpenPopup() {
      this.setData({
        show: true
      });
    }

  }
});